[env]
_.file = ".env"

[tasks."ci:build"]
dir = "./ci"
run = "cargo build"

[tasks."ci:run"]
run = "./target/debug/ci"

[tasks."ci:main"]
depends = ["ci:build"]
run = "mise run ci:run main"

[tasks."ci:pr"]
depends = ["ci:build"]
run = "mise run ci:run pr"

[tasks."dev"]
env = { RUN = "local" }
depends = ["ci:build"]
run = "mise run ci:run"
